/**
 * common javascript file
 */

$(function() {
    /* 内容页点击标签启动按标签搜索 */
    var tagList = $('footer li a');
    if (tagList.length > 0){
        tagList.tap(function() {
            Bridge.searchByTagName($(this).data('tag-id'), $(this).text());
        }).click(function() {
            return false;
        });
    }

    /* 文章页链接不可用 */
    $('article a').click(function() {
        return false;
    });
});

/**
 * 视图对象
 * @type {{_scaleTypeMap: {1: number, 2: number, 3: number, 4: number}, changeScale: View.changeScale}}
 */
var View = {
    /**
     * 缩放大小类别字典
     */
    _scaleTypeMap: {
        1: 0.8,
        2: 1,
        3: 1.2,
        4: 1.4
    },

    /**
     * 修改页面缩放大小
     * @param type 1 小，2 中，3 大，4 超大
     * @param baseFontSize 基准字体大小，单位为像素
     */
    changeScale: function(type, baseFontSize){
        var scaleType = (type in this._scaleTypeMap) ? this._scaleTypeMap[type] : 1;
        $('html').css('fontSize', baseFontSize * scaleType + 'px');
        return null;
    }
};